Bug Hunting Session
Bug 35152 - fontwork cursor problem: there already is cursor, but we need click additionaly
Summary: fontwork cursor problem: there already is cursor, but we need click additionaly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2011-03-09 06:35 UTC by sasha.libreoffice
Modified: 2019-01-15 08:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-09 06:35:41 UTC
To reproduce this problem click on Fontwork tool on drawing toolbar. Appears dialog with Fontwork examples. On left up side is dotted rectangle. Users will suppose, that it is cursor. But when click Ok, nothing happens. We need click by mouse additionally and becomes much bigger cursor. Only then we can click Ok to insert Fontart into document.
I suppose that if that initial cursor does nothing then it should be removed.
On windows is additional small problem: cursor is from two line, but under tooltip it becomes dotted.
reproduced on Mandriva 64 bit kde 4.4 and windows XP 32 bit
Comment 1 Björn Michaelsen 2011-12-23 11:48:30 UTC Comment hidden (obsolete)
Comment 2 sasha.libreoffice 2012-01-01 23:11:41 UTC
reproduced on LibO 3.5.0 beta 1
Comment 3 tester8 2012-02-03 01:21:50 UTC
Reproduced with

LibreOffice 3.5.0rc3
7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Ubuntu 10.04.3 x86
Linux 2.6.32-38-generic Russian UI

Small clarification: it is not about mouse cursor. First element in Fontwork window outlined, but not selected, it should be or normally outlined and selected or not outlined and not selected.
Comment 4 ign_christian 2013-06-23 04:36:28 UTC
That behavior not seen on LO 4.0.4.2 (Win7 32bit)
Comment 5 sasha.libreoffice 2013-06-24 09:03:18 UTC
reproduced in 4.0.4 on Fedora (RFR)

Steps to reproduce:
0. Start Writer
1. Click "Fontwork Gallery"
2. Click "Ok" on dialog window
Expected: into document inserted or first available Fontwork or last used
Actually: dialog just closed. Nothing happens.
Comment 6 ign_christian 2013-06-25 02:15:53 UTC
Sorry..seems that I did wrong procedure while trying to reproduce :)

Also confirmed with LO 4.0.4.2 (Win7 32bit), only double-click on any type of Fontwork will apply that chosen Fontwork.
Comment 7 QA Administrators 2015-03-16 23:17:05 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2015-03-18 06:04:15 UTC
Still reproducible with LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64.

Best regards. JBF
Comment 9 tommy27 2016-04-16 07:26:15 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2016-04-17 08:08:50 UTC
Still reproducible with LibreOffice 5.1.3.0.0+ built at home under Ubuntu 15.10 x86-64.

Best regards. JBF
Comment 11 QA Administrators 2018-05-06 02:30:35 UTC Comment hidden (obsolete)
Comment 12 Jean-Baptiste Faure 2018-05-07 15:04:17 UTC
Still reproducible with LO 6.0.5.0.0+ built at home under Ubuntu 16.04 x86-64. 

Best regards. JBF
Comment 13 Commit Notification 2019-01-15 08:53:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3fa03f5d1f1543ff873e5191af68ca381d7e1d90%5E%21

Resolves: tdf#35152 select first fontwork if any are available

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.